apiVersion: apps/v1
kind: Deployment
metadata:
  name: production-app
spec:
  replicas: 3
  template:
    spec:
      containers:
      - name: app
        image: app:latest
        env:
        - name: DB_HOST
          value: deploy-db.internal
        - name: DB_USER
          value: deploy_user
        - name: DB_PASSWORD
          value: DeployYamlPassword2024!Secret
        - name: DB_NAME
          value: deploy_production
        - name: API_KEY
          value: deploy-yaml-api-key-abc123def456
        - name: JWT_SECRET
          value: deploy-yaml-jwt-secret-xyz789
        - name: AWS_ACCESS_KEY_ID
          value: AKIAIOSFODNN7EXAMPLE
        - name: AWS_SECRET_ACCESS_KEY
          value: wJalrXUtnFEMI/K7MDENG/bPxRfiCYEXAMPLEKEY

